part of 'role_schedule_dialog_bloc.dart';

@immutable
sealed class RoleScheduleDialogEvent {}

class TapOnScheduleDayEvent extends RoleScheduleDialogEvent {
  final int index;

  TapOnScheduleDayEvent(this.index);
}

class SetRoleScheduleStartTimeEvent extends RoleScheduleDialogEvent {
  final RoleScheduleEntity schedule;
  final DateTime startTime;

  SetRoleScheduleStartTimeEvent(this.schedule, this.startTime);
}

class SetRoleScheduleEndTimeEvent extends RoleScheduleDialogEvent {
  final RoleScheduleEntity schedule;
  final DateTime endTime;

  SetRoleScheduleEndTimeEvent(this.schedule, this.endTime);
}

class SaveRoleScheduleEvent extends RoleScheduleDialogEvent {
  SaveRoleScheduleEvent();
}
